Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170625 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170625

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
aaa_base (13.2+git20170612.37ff18e -> 13.2+git20170619.afcd428)
ceph (12.0.3+git.1496909744.9f667dc335 -> 12.0.3+git.1498202776.b806032985)
device-mapper
doxygen
drbd (9.0.7rc2+git.36abd387 -> 9.0.8+git.c8bc3670)
drbd-utils (8.9.11rc2 -> 9.0.0)
elfutils
filesystem
gjs (1.48.4 -> 1.48.5)
gnome-music
gucharmap (9.0.4 -> 10.0.0)
kexec-tools (2.0.13 -> 2.0.14)
libapr-util1 (1.5.4 -> 1.6.0)
libdmapsharing (2.9.37 -> 2.9.38)
libinput (1.7.2 -> 1.7.3)
libpinyin
lv
lvm2
net-tools (1.60 -> 2.0+git20170221.479bb4a)
patterns-desktop
permissions (20160807 -> 20170602)
postfix (3.2.0 -> 3.2.2)
ppp
pptp
psmisc (22.21 -> 23.0)
python-urllib3 (1.20 -> 1.21.1)
sane-backends
shadow
sysconfig
system-users (20161020 -> 20170617)
texlive (6.2.2 -> 6.2.3)
texlive-specs-m (2016.122.svn40218 -> 2017.128.20170101_pl1svn43813)
texlive-specs-n (2016.122.2.004svn28119 -> 2017.128.2.004svn28119)
tftp
tomcat (8.0.43 -> 8.0.44)
webkit2gtk3 (2.16.3 -> 2.16.4)
xen
yast2 (3.2.38 -> 3.2.39)
yast2-bootloader (3.2.22 -> 3.3.0)
yast2-kdump (3.2.5 -> 3.2.6)

=== Details ===

==== aaa_base ====
Version update (13.2+git20170612.37ff18e -> 13.2+git20170619.afcd428)
Subpackages: aaa_base-extras

- Fix csh.cshrc as tcsh does not handle stderr messages within {}
well (boo#1044876)

==== ceph ====
Version update (12.0.3+git.1496909744.9f667dc335 ->
12.0.3+git.1498202776.b806032985)
Subpackages: librados2 librbd1

- Update to version 12.0.3+git.1498202776.b806032985:
+ Integration testing changes:
* add DeepSea integration suite test definitions for teuthology
* re-enable several RGW tests that upstream only runs on Ubuntu
+ ceph_ver_hack.sh: use git describe --match
+ ReplicatedPG: add CHECKSUM->CMPEXT req translation
- Update to version 12.0.3+git.1497426468.6984d41b5d:
+ qa: add initial deepsea suite (task and test yaml)
+ fix "ceph osd df" (regression in latest upstream master) (pr#15675,
issue#20256)
* mon: move creating_pgs and reweight_by_utilization into new MonPGStatService
* mon: move most PGMapStatService into PGMap; rename PGMon's to
PGMonStatService
* mon: mgr: move 'osd df' handling to manager
* mon: inherit PGMonStatService from the PGMapStatService
* move the OSDUtilizationDumper code into OSDMap
* mon: mgr: enable "osd df" on the manager
* qa: add a check_commands.sh script which looks for commands with no tests
* qa: test 'osd df' in cephtool/test.sh

==== device-mapper ====
Subpackages: libdevmapper-event1_03 libdevmapper1_03 libdevmapper1_03-32bit

- Backport fix for lvresize-full.sh failed, see bsc#1033691
+ bug-1033691_tests-missed-to-export-lvm-binary-for-fsadm.patch
- Fix test failures about read ahead issue, see bsc#1043040
+ bug-1043040_test-fix-read-ahead-issues-in-test-scripts.patch
- Reorder the patches to put them into the right groups
- Don't package dynamic directories in /run

==== doxygen ====

- remove CFLAGS CXXFLAGS overrides to block PIE enablement.

==== drbd ====
Version update (9.0.7rc2+git.36abd387 -> 9.0.8+git.c8bc3670)
Subpackages: drbd-kmp-default

- bsc#1045473, update to 9.0.8
fix a race condition between adding connections and receiving data
fix a OOPS on a diskfull node when a request from a diskless node
fix a distributed deadlock when doing a discard/write-same burst
fix an issue with diskless nodes adopting wrong current UUIDs
fix wrongly rejected two-phase-state transactions
fix initial resync, triggered by "--force primary"(regression 9.0.7)
Speed-up AL-updates with bio flags REQ_META and REQ_PRIO
Merged changes from 8.4.10 and with that compatibility with Linux-4.12
- Remove patch fix-initial-sync-stop.patch
- Fix the license to GPL-2.0+

==== drbd-utils ====
Version update (8.9.11rc2 -> 9.0.0)

- Update to v9.0.0
* drbd udev: fix inconsistent inheritance of implicit volumes
* Fix regressions of the out-of-the-box DRBD 8.4 experience
* DrbdMon: can now focus on "problem" resources
* v9: support new option on_no_quorum
* drbdadm: fix segfaults, improve error reporting
* adjust: fix deleting unrelated peer(s) on "adjust resource:specific-peer"
* drbdmeta create-md/convert: fix check for existing external meta-data
- Merged into upstream, remove Pass-md_index-information-to-detect_md.patch

==== elfutils ====
Subpackages: libasm1 libdw1 libelf1 libelf1-32bit

- ppc-machine-flags.patch: support EM_PPC machine flags
- disable-tests-with-ptrace.patch: disable more tests

==== filesystem ====

- Remove /etc/ppp and subdirectories, the current, full list of
directories is part of the sysconfig package
- Require user root and group root
- Remove /etc/susehelp.d and subdirectories, susehelp is gone
- Remove /etc/tmpdirs.d, support was removed 2011 and migrated
to tmpfiles.d
- Remove /var/adm/perl-modules (support was removed with 11.4)
- Get ride of the last non-root group. /run/lock is created by
systemd, not filesystem, so remove it from here.
- Change ownership of /etc/ppp, group dialout has meanwhile another
meaning and there are no setgid dialout binaries who could need
that.

==== gjs ====
Version update (1.48.4 -> 1.48.5)
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Update to version 1.48.5:
+ GJS crash in needsPostBarrier, possible access from wrong
thread (bgo#783935).
+ Fix format string, caught by static analysis.
+ Fixes for regression in 1.48.4.

==== gnome-music ====

- Add gnome-music-group-configs.patch: Fix sefault at launch with
updated python-cairo (bgo#774500, bgo#781326).

==== gucharmap ====
Version update (9.0.4 -> 10.0.0)
Subpackages: libgucharmap_2_90-7

- Update to version 10.0.0:
+ Unicode: Prepare update to unicode 10.0.0.
+ Updated translations.

==== kexec-tools ====
Version update (2.0.13 -> 2.0.14)

- Update to version 2.0.14 (bsc#1039937, FATE#320672, FATE#320671)
Changelog:
http://git.kernel.org/cgit/utils/kernel/kexec/kexec-tools.git/log/?id=refs/tags/v2.0.13..v2.0.14
- Backport upstream fixes (bsc#1039937, FATE#320672, FATE#320671)
0001-kexec-tools-2.0.14.git.patch
0002-ppc64-Reduce-number-of-ELF-LOAD-segments.patch
0003-kexec-Increase-the-upper-limit-for-RAM-segments.patch
0004-alpha-add-missing-__NR_kexec_load-definition.patch
0005-kexec-implemented-XEN-KEXEC-STATUS-to-determine-if-a.patch
0006-kexec-Remove-redundant-space-from-help-message.patch
0007-purgatory-Add-purgatory.map-and-purgatory.ro.sym-to-.patch
0008-kexec-Add-option-to-get-crash-kernel-region-size.patch
0009-crashdump-arm-Add-get_crash_kernel_load_range-functi.patch
0010-crashdump-arm64-Add-get_crash_kernel_load_range-func.patch
0011-crashdump-cris-Add-get_crash_kernel_load_range-funct.patch
0012-crashdump-ia64-Add-get_crash_kernel_load_range-funct.patch
0013-crashdump-m68k-Add-get_crash_kernel_load_range-funct.patch
0014-crashdump-mips-Add-get_crash_kernel_load_range-funct.patch
0015-crashdump-ppc-Add-get_crash_kernel_load_range-functi.patch
0016-crashdump-ppc64-Add-get_crash_kernel_load_range-func.patch
0017-crashdump-s390-Add-get_crash_kernel_load_range-funct.patch
0018-crashdump-sh-Add-get_crash_kernel_load_range-functio.patch
0019-gitignore-add-two-generated-files-in-purgatory.patch
0020-Only-print-debug-message-when-failed-to-serach-for-k.patch
0021-build_mem_phdrs-check-if-p_paddr-is-invalid.patch
0022-uImage-fix-realloc-pointer-confusion.patch
0023-uImage-Fix-uImage_load-for-little-endian-machines.patch
0024-uImage-Add-new-IH_ARCH_xxx-definitions.patch
0025-uImage-use-char-instead-of-unsigned-char-for-uImage_.patch
0026-uImage-use-char-instead-of-unsigned-char-for-uImage_.patch
0027-arm64-add-uImage-support.patch
0028-vmcore-dmesg-Define-_GNU_SOURCE.patch
0029-Don-t-use-L-width-specifier-with-integer-values.patch
0030-x86-x86_64-Fix-format-warning-with-die.patch
0031-ppc-Fix-format-warning-with-die.patch
0032-crashdump-Remove-stray-get_crashkernel_region-declar.patch
0033-x86-Support-large-number-of-memory-ranges.patch
0034-Fix-broken-Xen-support-in-configure.ac.patch
0035-kexec-extend-the-semantics-of-kexec_iomem_for_each_l.patch
0036-kexec-generalize-and-rename-get_kernel_stext_sym.patch
0037-arm64-identify-PHYS_OFFSET-correctly.patch
0038-arm64-change-return-values-on-error-to-negative.patch
0039-arm64-kdump-identify-memory-regions.patch
0040-arm64-kdump-add-elf-core-header-segment.patch
0041-arm64-kdump-set-up-kernel-image-segment.patch
0042-arm64-kdump-set-up-other-segments.patch
0043-arm64-kdump-add-DT-properties-to-crash-dump-kernel-s.patch
0044-arm64-kdump-Add-support-for-binary-image-files.patch
0045-Handle-additional-e820-memmap-type-strings.patch
- Refreshed patches:
kexec-tools-xen-static.patch
kexec-tools-xen-balloon-up.patch
- Drop obsoleted arm64 patches:
kexec-tools-enable-aarch64-fixup.patch
kexec-tools-enable-aarch64.patch
- Fix source URL, as ftp was discontinued on korg
- Sync changelog with SLE12 packages

==== libapr-util1 ====
Version update (1.5.4 -> 1.6.0)
Subpackages: libapr-util1-devel

- APR-util 1.6.0
* Update MySQL build to stop using libmysqlclient_r
* apr_siphash: Implement keyed hash function SipHash
* apr_buckets: Add apr_bucket_file_set_buf_size()
* apr_crypto: avoid excessive iteration in bcrypt hash.
* apr_xml_to_text: Add style APR_XML_X2T_PARSED.
* see http://www.apache.org/dist/apr/CHANGES-APR-UTIL-1.6 for
extra details

==== libdmapsharing ====
Version update (2.9.37 -> 2.9.38)

- Update to version 2.9.38:
+ After failing to get preferred port, try both IPV4 and IPV6.
+ Fix bad error handling on soup_server_get_uris (Clang
scan-build).

==== libinput ====
Version update (1.7.2 -> 1.7.3)
Subpackages: libinput-udev libinput10

- Update to new upstream release 1.7.3
* Fix a crash caused by the lid switch handler on device removal
(depending on the removal order, an assertion was triggered).
* A slight palm detection improvement - tapping in
the palm edge detection zone is now ignored, thus reducing the
number of inadvertant focus changes while typing. Previously,
we only ignored those taps in the top half of the touchpad.

==== libpinyin ====
Subpackages: libpinyin-data libpinyin10

- Switch to kyotocabinet from libdb so it could be removed
- Enable tests
- Remove needless buildrequires

==== lv ====

- Cleanup a bit with spec-cleaner, use parallel make/etc...

==== lvm2 ====
Subpackages: liblvm2app2_2 liblvm2cmd2_02

- Backport fix for lvresize-full.sh failed, see bsc#1033691
+ bug-1033691_tests-missed-to-export-lvm-binary-for-fsadm.patch
- Fix test failures about read ahead issue, see bsc#1043040
+ bug-1043040_test-fix-read-ahead-issues-in-test-scripts.patch
- Reorder the patches to put them into the right groups
- Don't package dynamic directories in /run

==== net-tools ====
Version update (1.60 -> 2.0+git20170221.479bb4a)

- Drop netstat xinetd service as we are phasing xinetd out
There is probably no need to replace it here as netstat was
deprecated and now users should favor 'ss' command from
iproute2
- Provide compat symlink to /bin and /sbin to be on safe side
if someone hardcoded them in scripts (most distros switched
7 years ago)
- Disable removed binaries for build rather than on install
* Refresh patch net-tools-configure.patch
- Make sure we respect optflags
- Add patch 0001-Add-ether-wake-binary.patch replacing standalone
ether-wake code in the archive
- Add patch 0002-Do-not-warn-about-interface-socket-not-binded.patch
replacing net-tools-1.60-interface_socket.diff
- Add patch 0003-Add-support-for-EiB-in-interface.c.patch enabling
EiB support in interfaces
- Add patch 0004-By-default-do-not-fopen-anything-in-netrom_gr.patch
relpacing net-tools-1.60-netrom-fopen.diff
- Add patch 0005-Add-support-for-interface-rename-in-nameif.patch
replacing nameif-rename.patch
- Add patch 0006-Allow-interface-stacking.patch
replacing net-tools-1.60-interface_stack.patch
- Add patch 0007-Introduce-T-notrim-option-in-netstat.patch
replacing net-tools-1.60-dont-trim-foreign-addr6.diff
and also net-tools-1.60-notrim.diff
- Drop net-tools-1.60-use-gai.patch as it should be upstreamed first
and it does not apply clearly at all now
- Move binaries to sbindir and bindir respectively
- Switch from generating filelists to actually state them within
the spec-file, now it is quite readable
- Move ifconfig and route to %{_bindir} as upstream does
(and debian/rh/... do too)
- Remove all the manpage altering patches as they are from 2002 and
older while it changed and touching different languages for
rebasing is not bright idea, the same applies for translations
as upstream updated the translations we will pretend their
strings win
- Switch to git service repacking so we don't have to carry all
the patches ourselves
- Update to version 2.0+git20170221.479bb4a:
* slattach/plipconfig: add a config knob to control them
* Fixed trailing whitespace issue with a and i flags (#7)
* iptunnel: drop netinet/ip.h include
* iptunnel: fix building w/older linux headers
* build: respect standard $(LDLIBS) variable
* netstat: improve ROSE support
* AX.25: Rename all references to axattach to kissattach.
* Update all instances of my email address.
* Fix conversion of some ROSE addresses.
* Fix incorrect ARP output
- Merge patch net-tools-1.60-miioff.diff in the main config patch
- Rename net-tools-1.60.dif to net-tools-configure.patch in order
to reflect what it actually does
- Drop nstrcmp.c as VCS contains newer version
- Drop patches that were either merged upstream or fixed bit differently:
* manpages.diff
* net-tools-1.60-arp-unaligned-access.patch
* net-tools-1.60-compoundstatement.diff
* net-tools-1.60-cont-buff.patch
* net-tools-1.60-cs_CZ.bnc715580.diff
* net-tools-1.60-doc.dif
* net-tools-1.60-errors.patch
* net-tools-1.60-fclose.diff
* net-tools-1.60-fix-header-conflict.patch
* net-tools-1.60-hostname-ipv6.patch
* net-tools-1.60-hostname-s.patch
* net-tools-1.60-hostname-space.patch
* net-tools-1.60-ifconfig-SIOCSIFNETMASK.diff
* net-tools-1.60-ifconfig.8.diff
* net-tools-1.60-ifindex.diff
* net-tools-1.60-infiniband.diff
* net-tools-1.60-ipv6-statistics.diff
* net-tools-1.60-krn26.dif
* net-tools-1.60-long_to_int.diff
* net-tools-1.60-multilinestr.diff
* net-tools-1.60-nameif.diff
* net-tools-1.60-netstat-ci.diff
* net-tools-1.60-netstat-output.patch
* net-tools-1.60-netstat-p.patch
* net-tools-1.60-netstat.8.diff
* net-tools-1.60-netstat_retval.diff
* net-tools-1.60-numericstuff.diff
* net-tools-1.60-plipconfig-ecode.patch
* net-tools-1.60-plipconfig-manpage.patch
* net-tools-1.60-plipconfig-usage.patch
* net-tools-1.60-printval-conversion.patch
* net-tools-1.60-sctp-quiet
* net-tools-1.60-sctp.patch
* net-tools-1.60-snmp-counter-overflow.patch
* net-tools-1.60-sockios-SIOCGMIIPHY.diff
* net-tools-1.60-strictaliasing.diff
* net-tools-1.60-tcp-recvq-listen.patch
* netstat-trunc.dif
* net-tools-1.60-if_tr.diff
* net-tools-1.60-interface_mtu.diff
- Cleanup a bit with spec-cleaner and remove sle11 conditions
- Drop the patch net-tools-1.60-obsolete.diff
* If restored it is in the VCS and it silences all the rpm warnings
- add COPYING
- net-tools-1.60-use-gai.patch:
use getaddrinfo instead of gethostbyname

==== patterns-desktop ====
Subpackages: patterns-desktop-books patterns-desktop-imaging
patterns-desktop-imaging_opt patterns-desktop-laptop
patterns-desktop-multimedia patterns-desktop-multimedia_opt
patterns-desktop-technical_writing

- Do not require basesystem but base.

==== permissions ====
Version update (20160807 -> 20170602)

- BuildIgnore group(trusted): we don't really care for this group
in the buildroot and do not want to get system-users into the
bootstrap cycle as we can avoid it.
- Require: group(trusted), as we are handing it out to some unsuspecting
binaries and it is no longer default. (bsc#1041159 for fuse, also cronie, etc)
- Update to version 20170602:
* make /etc/ppp owned by root:root. The group dialout usage is no longer used

==== postfix ====
Version update (3.2.0 -> 3.2.2)
Subpackages: postfix-doc

- update to 3.2.2
* Security: Berkeley DB versions 2 and later try to read settings
from a file DB_CONFIG in the current directory. This undocumented
feature may introduce undisclosed vulnerabilities resulting in
privilege escalation with Postfix set-gid programs (postdrop,
postqueue) before they chdir to the Postfix queue directory,
and with the postmap and postalias commands depending on whether
the user's current directory is writable by other users. This
fix does not change Postfix behavior for Berkeley DB versions
< 3, but it does reduce postmap and postalias 'create' performance
with Berkeley DB versions 3.0 .. 4.6.
* The SMTP server receive_override_options were not restored at
the end of an SMTP session, after the options were modified by
an smtpd_milter_maps setting of "DISABLE". Milter support
remained disabled for the life time of the smtpd process.
* After the Postfix 3.2 address/domain table lookup overhaul, the
check_sender_access and check_recipient_access features ignored
a non-default parent_domain_matches_subdomains setting.

==== ppp ====

- Add /etc/ppp, this directory is no longer part of filesystem.
Most likely requiring sysconfig would be necessary.
- ppp-2.4.2-pie.patch: also enable PIE for /usr/sbin/pppstats

==== pptp ====

- Add /etc/ppp directory

==== psmisc ====
Version update (22.21 -> 23.0)

- Update to version 23.0
* killall: Fix process age race condition !11 Debian #822861
* killall: only use scope of current namespace by default
* killall: better parsing of command names
* pstree: add cgroup namespaces !10
* peekfd: Help give long options too !5
* killall: correctly report when 32+ procs match !8
* prtat: Remove duplicate options in man page !3 Debian #846387
* pslog: New program to check what logs are open merge !1
* fuser: increase path length for octal escaping SF [#37]
* Make usage of linked lists of devices found in
/proc/self/mountinfo optional
* Make timeout() in timeout.c work with shared mmap to
reduce the load due write/read the stat buffers
* Add list_sort() to lists.h to be able to sort lists
* fuser: Fixed typo for -M flag. Debian #740275
* pstree: by default doesn't show threadnames, use -t to show
as it disables compaction. SF [#33] Debian #815902
* pstree: Removed need for PATH_MAX Debian #750405
* pstree: ignores disappeared processes. SF [#34]
* killall: -o and -y work with -r flags. SF [#64]
* m4/gettext.m4: Upgrade to gettext-0.19.4.
* m4/iconv.m4: Upgrade to gettext-0.19.4.
* m4/lib-ld.m4: Upgrade to gettext-0.19.4.
* m4/lib-link.m4: Upgrade to gettext-0.19.4.
* m4/lib-prefix.m4: Upgrade to gettext-0.19.4.
* m4/nls.m4: Upgrade to gettext-0.19.4.
* m4/po.m4: Upgrade to gettext-0.19.4.
* m4/progtest.m4: Upgrade to gettext-0.19.4.
* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.19.4.
- Make it build, that is create a po/POTFILES.in
- Remove obsolete patches
* psmisc-22.21-boo908063.patch
* psmisc-22.12-tigetstr.patch
* psmisc-22.21-upstream.patch
* psmisc-git-3638cc55b4d08851faba46635d737b24d016665b.patch
- Rename patch psmisc-22.21.dif which becomes psmisc-23.0.dif
- Make /bin/fuser a symblic link of /usr/bin/fuser (boo#1029973)
- Last revision was 78
- Modify psmisc-22.21.dif to enforce the usage of `m' flag in
sscanf() instead of `a' for allocation. Also avoid to small
buffers and include sys/sysmacros.h for makedev macro.
- Add the patch psmisc-22.21-lessnfs.patch to support device
files of mount points as well (boo#1044638)
- Add the patch psmisc-22.21-mntpt.patch to do strinfg comparision
only for NFS shares

==== python-urllib3 ====
Version update (1.20 -> 1.21.1)
Subpackages: python2-urllib3 python3-urllib3

- update to 1.21.1:
* Fixed SecureTransport issue that would cause long delays in response body
delivery. (Pull #1154)
* Fixed regression in 1.21 that threw exceptions when users passed the
``socket_options`` flag to the ``PoolManager``. (Issue #1165)
* Fixed regression in 1.21 that threw exceptions when users passed the
``assert_hostname`` or ``assert_fingerprint`` flag to the ``PoolManager``.
* Improved performance of certain selector system calls on Python 3.5 and
later. (Pull #1095)
* Resolved issue where the PyOpenSSL backend would not wrap SysCallError
exceptions appropriately when sending data. (Pull #1125)
* Selectors now detects a monkey-patched select module after import for
modules
that patch the select module like eventlet, greenlet. (Pull #1128)
* Reduced memory consumption when streaming zlib-compressed responses
(as opposed to raw deflate streams). (Pull #1129)
* Connection pools now use the entire request context when constructing the
pool key. (Pull #1016)
* ``PoolManager.connection_from_*`` methods now accept a new keyword argument,
``pool_kwargs``, which are merged with the existing ``connection_pool_kw``.
* Add retry counter for ``status_forcelist``. (Issue #1147)
* Added ``contrib`` module for using SecureTransport on macOS:
``urllib3.contrib.securetransport``. (Pull #1122)
* urllib3 now only normalizes the case of ``http://`` and ``https://``
schemes:
for schemes it does not recognise, it assumes they are case-sensitive and
leaves them unchanged.
- ------------------------------------------------------------------

==== sane-backends ====
Subpackages: sane-backends-32bit sane-backends-autoconfig sane-backends-devel

- Deleted xinetd service in favor of socked based activation

==== shadow ====

- Adjust requires (we need user/group root instead of aaa_base now)

==== sysconfig ====
Subpackages: sysconfig-netconfig

- Make /etc/ppp owned by root:root. The group dialout usage is no
longer used.

==== system-users ====
Version update (20161020 -> 20170617)
Subpackages: system-group-hardware system-group-wheel system-user-bin
system-user-daemon system-user-games system-user-lp system-user-mail
system-user-man system-user-news system-user-nobody system-user-upsd
system-user-uucp system-user-wwwrun

- Move group trusted into system-user-root package [bsc#1044014]
- Move system-user-root into own package
- Fix syntax of groups in system-user-root.conf
- Add utmp to system-group-hardware.conf like systemd has
- Create new system-user-root sub-package creating passwd, group
and shadow files with root user.
- BuildRequire pkgconfig(systemd) instead of systemd: this allows
OBS to pick systemd-mini, which is still good enough. And
ultimately it helps us break a build cycle
(system-users - libssh2_org - curl - systemd - system-users).
- BuildIgnore group(lock) and group(daemon) for ourselves, needed
for bootstrap.

==== texlive ====
Version update (6.2.2 -> 6.2.3)

- Let biber test suite not use 64bit longs on 32bit architectures
- Modify patch source-luatex.dif, that is update luatex tree from
version 2017033109 (r44589) to version 2017060901 (r44590)
- Final TeXLive 2017 20170520
- Update to TeXLive 2017 20170520 pretest
- Update to biber 2.7
* Add missing bblxml.pm
- Remove patch biber-perl-pre5.22.0.dif
- Add patch source-luatex.dif for new gcc-7.1
- Adopted patches biber-certs.dif, biblatex-encoding.dif,
source-configure.dif, source-overflow.dif, source-warns.dif,
and source-warns.dif

==== texlive-specs-m ====
Version update (2016.122.svn40218 -> 2017.128.20170101_pl1svn43813)

- Change left over texlive-pdftex-def for texlive-latex-bin
- Fix texlive-pdftex-def dependency as now texlive-graphics-def does
provide pdftex.def
- Fix texlive-rotating dependency as now texlive-graphics does
provide rotating.sty
- Notive: Some patches have been moved
* bbold_bbold11.dif from texlive-specs-b to texlive-specs-c
* context_fourier-map.dif from texlive-specs-e to texlive-specs-f
* dvips_config.dif from texlive-specs-g to texlive-specs-h
* jadetex_ini.dif from texlive-specs-l to texlive-specs-m
* texdoc_cnf.dif from texlive-specs-v to texlive-specs-w
* texdraw_info.dif from texlive-specs-v to texlive-specs-w
this entry exists only to silent the auto factory bot
- Final TeXLive 2017 20170520
- Remove patch fontspec_emph.dif as now upstream
- Update patches
* kpathsea_cnf.dif
* latex2man_tmphandling.dif
* latexdiff_perl.dif
* latexpand_perl.dif
* luaotfload_varfonts.dif
* luatex_cnf.dif
* musixtex_various.dif
* tetex_scripts.dif
* tex4ht_env.dif
* texconfig_scripts.dif
- Update to TeXLive 2017 20170520 pretest

==== texlive-specs-n ====
Version update (2016.122.2.004svn28119 -> 2017.128.2.004svn28119)

- Do not require own provided perl modules for latexindent
- Change left over texlive-pdftex-def for texlive-latex-bin
- Fix texlive-pdftex-def dependency as now texlive-graphics-def does
provide pdftex.def
- Fix texlive-rotating dependency as now texlive-graphics does
provide rotating.sty
- Notive: Some patches have been moved
* bbold_bbold11.dif from texlive-specs-b to texlive-specs-c
* context_fourier-map.dif from texlive-specs-e to texlive-specs-f
* dvips_config.dif from texlive-specs-g to texlive-specs-h
* jadetex_ini.dif from texlive-specs-l to texlive-specs-m
* texdoc_cnf.dif from texlive-specs-v to texlive-specs-w
* texdraw_info.dif from texlive-specs-v to texlive-specs-w
this entry exists only to silent the auto factory bot
- Final TeXLive 2017 20170520
- Remove patch fontspec_emph.dif as now upstream
- Update patches
* kpathsea_cnf.dif
* latex2man_tmphandling.dif
* latexdiff_perl.dif
* latexpand_perl.dif
* luaotfload_varfonts.dif
* luatex_cnf.dif
* musixtex_various.dif
* tetex_scripts.dif
* tex4ht_env.dif
* texconfig_scripts.dif
- Update to TeXLive 2017 20170520 pretest

==== tftp ====

- Removed xinetd service

==== tomcat ====
Version update (8.0.43 -> 8.0.44)
Subpackages: tomcat-admin-webapps tomcat-el-3_0-api tomcat-jsp-2_3-api
tomcat-lib tomcat-servlet-3_1-api tomcat-webapps

- Version update to 8.0.44:
http://tomcat.apache.org/tomcat-8.0-doc/changelog.html
* Fixed CVE:
- CVE-2017-5664 (bsc#1042910)

==== webkit2gtk3 ====
Version update (2.16.3 -> 2.16.4)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Update to version 2.16.4 (CVE-2017-2538):
+ Fix web process deadlock when seeking youtube videos.
+ Fix blob downloads.
+ Improve theme rendering performance when using GTK+ >= 3.20.
+ Fix positioning of popup menus in Wayland.
+ Fix several crashes and rendering issues.
+ Security fixes: CVE-2017-2538.

==== xen ====
Subpackages: xen-doc-html xen-libs xen-tools xen-tools-domU

- Update block-dmmd script (bsc#1002573)
block-dmmd
- Update to Xen 4.9.0-rc8+ (fate#321394, fate#323108)
xen-4.9.0-testing-src.tar.bz2
gcc7-arm.patch
- Drop gcc7-error-xenpmd.patch

==== yast2 ====
Version update (3.2.38 -> 3.2.39)

- Add hint for UI about application name and its icon (bsc#1037891)
- 3.2.39

==== yast2-bootloader ====
Version update (3.2.22 -> 3.3.0)

- AuotYaST configuration: Set StorageDevices flag disks_valid
to true. So libstorage can scan valid disks and "/" partition
can be found. (bnc#1043132)
- 3.3.0

==== yast2-kdump ====
Version update (3.2.5 -> 3.2.6)

- Fixed regular expression that verifies alloc_mem parameter
(bsc#1045098).
- 3.2.6


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages